* {
  margin: 0px;
  padding: 0px;
  box-sizing: border-box; }

* {
  font-family: "Roboto", sans-serif; }

.btnDoble {
  grid-column: span 2; }

.btnNumero,
.btnOperador,
.btnOperadorUnitario,
.btnOperadorAns,
.btnBorrar {
  background-color: #ffffff;
  border-color: #000000;
  font-size: larger;
  font-weight: 500;
  align-items: center;
  border-style: solid;
  border-radius: 8px;
  margin: 2px; }
  .btnNumero:active,
  .btnOperador:active,
  .btnOperadorUnitario:active,
  .btnOperadorAns:active,
  .btnBorrar:active {
    background-color: #efefd0; }
  .btnNumero:focus,
  .btnOperador:focus,
  .btnOperadorUnitario:focus,
  .btnOperadorAns:focus,
  .btnBorrar:focus {
    outline: none; }

#btn__autor {
  width: 10em;
  height: 2em;
  border-radius: 0.5em;
  font-weight: 600;
  background-color: #ffffff;
  cursor: pointer; }

#btn__cv {
  width: 10em;
  height: 2em;
  border-radius: 0.5em;
  font-weight: 600;
  background-color: #ffffff;
  cursor: pointer; }

#visor {
  background-color: #ffffff;
  margin: 0.5em 0em 1em 1.2em;
  border: none;
  border-radius: 8px;
  color: #fcf7f8;
  font-weight: 600;
  text-align: end;
  padding: 0.5em;
  width: 27.5em;
  height: 6em;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  justify-content: space-evenly;
  text-align: right;
  word-break: break-all; }

#valorAnterior {
  display: flex;
  justify-content: end;
  align-items: center;
  width: 26.5rem;
  height: 4em;
  color: #000000;
  font-size: 1.5rem; }

#valorActual {
  display: flex;
  justify-content: end;
  align-items: center;
  width: 26.5rem;
  height: 4em;
  color: #000000;
  font-size: 1.2rem; }

* {
  font-family: "Roboto", sans-serif; }

.container__teclado__cientifica {
  display: grid;
  grid-template-columns: 4em 4em 4em 4em 4em 4em 4em;
  grid-template-rows: 4em 4em 4em 4em 4em;
  grid-template-areas: "grado factorizacion raizCuadrada  borrarAnterior borrarTodo dividir" "sin cos tg siete ocho nueve multiplicar" "pi log logNatural cuatro cinco seis restar" "nroEuler baseExponente exponencial uno dos tres sumar" "resultadoAnterior invertir porcentaje cero punto igual";
  justify-content: center; }

.container__calculadora__cientifica {
  display: none;
  background: rgba(35, 87, 137, 0.8);
  box-shadow: 0 8px 32px 0 rgba(31, 38, 135, 0.37);
  backdrop-filter: blur(0px);
  -webkit-backdrop-filter: blur(0px);
  border-radius: 10px;
  border: 1px solid rgba(255, 255, 255, 0.18);
  text-align: center;
  border-radius: 8px;
  width: 30em;
  height: 33em;
  margin-top: 3em;
  position: absolute;
  top: 5px; }
  .container__calculadora__cientifica.visible {
    display: block; }

body {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-image: url(../images/background_matrix.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  background-attachment: fixed; }

h1 {
  margin: 0.5em 0rem 0rem 0rem;
  color: #fcf7f8; }

.loginContainer {
  width: 90%;
  height: 90vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: relative; }

.container_btn__autor {
  width: 8em;
  height: 2em;
  position: absolute;
  top: 1em;
  left: 1em; }

.container__input {
  display: flex;
  flex-direction: column;
  color: #ffffff;
  width: 18em;
  height: 10em;
  background-color: black;
  border-radius: 8px;
  font-weight: bolder;
  margin: 1.5em 0em; }
  .container__input.invisible {
    display: none; }

.container_btn__CV {
  width: 8em;
  height: 3em;
  position: absolute;
  bottom: 1em;
  right: 1em; }

.div__input {
  padding: 2px;
  margin: 5px;
  border-radius: 8px;
  text-align: center; }

.div__btn {
  padding: 2px;
  margin: 5px;
  border-radius: 8px;
  height: 3em;
  font-weight: bolder;
  cursor: pointer; }
